Bug 180485 - net/svnup: svn protocol doesn't work
Summary: net/svnup: svn protocol doesn't work
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-12 10:00 UTC by Alexey Markov
Modified: 2013-07-23 08:53 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Markov 2013-07-12 10:00:00 UTC
net/svnup can't fetch source tree using SVN protocol, while HTTP works like a charm.

How-To-Repeat: Try to fetch a source tree to an empty folder using SVN protocol.

svnup.conf:

[defaults]
work_directory=/var/db/svnup
host=svn.freebsd.org
protocol=svn
verbosity=1
trim_tree=0
extra_files=0

[releng]
branch=base/releng/8.4
target=/arc/home/redrat/src


host:svnup/svnup-0.97# ./svnup releng -k /tmp -l /arc/tst -p svn -v 3 > /tmp/rel8svn.txt
# Protocol: svn
# Address: svn.freebsd.org
# Port: 3690
# Branch: base/releng/8.4
# Target: /arc/tst
# Trim tree: No
# Show extra files: No
# Known files directory: /tmp

(exits immediately)


host:svnup/svnup-0.97# ./svnup releng -k /tmp -l /arc/tst -p http -v 3 > /tmp/rel8http.txt
Bytes read: 1771, Bytes expected: 1771, g:1, rg:2
# Protocol: http
# Address: svn.freebsd.org
# Port: 80
# Branch: base/releng/8.4
# Target: /arc/tst
# Trim tree: No
# Show extra files: No
# Known files directory: /tmp

(normally fetches source tree)


rel8svn.txt:

<< 0 bytes
==========
Comment 1 Edwin Groothuis freebsd_committer 2013-07-12 10:00:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

jgh@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-07-12 10:00:15 UTC
Maintainer of net/svnup,

Please note that PR ports/180485 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/180485

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-07-12 10:00:16 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 dfilter service freebsd_committer 2013-07-23 08:47:09 UTC
Author: jgh
Date: Tue Jul 23 07:46:56 2013
New Revision: 323518
URL: http://svnweb.freebsd.org/changeset/ports/323518

Log:
  - update to 0.98 [1]
  
  svnup-0.98 - 22 July 2013
  - Fixed a bug related to recent (v 1.8) updates to the svn protocol
    (pr ports/180485). [2]
  - Fixed a bug where version tags were inserted into files that did not
    have the FreeBSD=%H keyword associated with them (ports/180490). [3]
  
  PR:		180485 [2]
  PR:		180490 [3]
  Submitted by:	jcm@visi.com (maintainer) [1]

Modified:
  head/net/svnup/Makefile
  head/net/svnup/distinfo

Modified: head/net/svnup/Makefile
==============================================================================
--- head/net/svnup/Makefile	Tue Jul 23 07:42:01 2013	(r323517)
+++ head/net/svnup/Makefile	Tue Jul 23 07:46:56 2013	(r323518)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	svnup
-PORTVERSION=	0.97
+PORTVERSION=	0.98
 CATEGORIES=	net
 MASTER_SITES=	http://jcm.dsl.visi.com/freebsd/svnup/ \
 		LOCAL/jgh/net/${PORTNAME}/

Modified: head/net/svnup/distinfo
==============================================================================
--- head/net/svnup/distinfo	Tue Jul 23 07:42:01 2013	(r323517)
+++ head/net/svnup/distinfo	Tue Jul 23 07:46:56 2013	(r323518)
@@ -1,2 +1,2 @@
-SHA256 (svnup-0.97.tar.xz) = 6c74b8850414047774731e5632dcc021ae9e56ad5df947d9853795248f05c9c9
-SIZE (svnup-0.97.tar.xz) = 18336
+SHA256 (svnup-0.98.tar.xz) = 23b028d4ae8ded79706fd8bcb4accde608b0ab899052b986c5811abfe0c9ee82
+SIZE (svnup-0.98.tar.xz) = 18356
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Jason Helfman freebsd_committer 2013-07-23 08:53:36 UTC
State Changed
From-To: feedback->closed

fixed in r323518